Package org.eclipse.cdt.utils

# Class BinaryObjectAdapter.BinaryObjectInfo

java.lang.Object
org.eclipse.cdt.utils.BinaryObjectAdapter.BinaryObjectInfo

Enclosing class:
  BinaryObjectAdapter

public class BinaryObjectAdapter.BinaryObjectInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`bss`
`String`
`cpu`
`long`
`data`
`boolean`
`hasDebug`
`boolean`
`isLittleEndian`
`String[]`
`needed`
`String`
`soname`
`long`
`text`

## Constructor Summary

Constructors
Constructor
Description
`BinaryObjectInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bss

public long bss

### data

public long data

### text

public long text

### hasDebug

public boolean hasDebug

### isLittleEndian

public boolean isLittleEndian

### soname

public String soname

### needed

public String[] needed

### cpu

public String cpu

## Constructor Details

### BinaryObjectInfo

public BinaryObjectInfo()